<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.HgUtilities</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.HgUtilities</h1>
<p>
Module implementing some common utility functions for the Mercurial package.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Functions</h3>
<table>
<tr>
<td><a href="#getConfigPath">getConfigPath</a></td>
<td>Function to get the filename of the config file.</td>
</tr>
<tr>
<td><a href="#getHgExecutable">getHgExecutable</a></td>
<td>Function to get the full path of the Mercurial executable.</td>
</tr>
<tr>
<td><a href="#hgVersion">hgVersion</a></td>
<td>Public method to determine the Mercurial version.</td>
</tr>
<tr>
<td><a href="#prepareProcess">prepareProcess</a></td>
<td>Function to prepare the given process.</td>
</tr>
</table>

<hr />
<hr />
<a NAME="getConfigPath" ID="getConfigPath"></a>
<h2>getConfigPath</h2>
<b>getConfigPath</b>(<i></i>)
<p>
    Function to get the filename of the config file.
</p>

<dl>
<dt>Return:</dt>
<dd>
filename of the config file
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="getHgExecutable" ID="getHgExecutable"></a>
<h2>getHgExecutable</h2>
<b>getHgExecutable</b>(<i></i>)
<p>
    Function to get the full path of the Mercurial executable.
</p>

<dl>
<dt>Return:</dt>
<dd>
path of the Mercurial executable
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="hgVersion" ID="hgVersion"></a>
<h2>hgVersion</h2>
<b>hgVersion</b>(<i>plugin</i>)
<p>
    Public method to determine the Mercurial version.
</p>

<dl>

<dt><i>plugin</i> (VcsMercurialPlugin)</dt>
<dd>
reference to the plugin object
</dd>
</dl>
<dl>
<dt>Return:</dt>
<dd>
tuple containing the Mercurial version as a string and as a tuple
        and an error message.
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
tuple of str, tuple of int and str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="prepareProcess" ID="prepareProcess"></a>
<h2>prepareProcess</h2>
<b>prepareProcess</b>(<i>proc, encoding="", language=""</i>)
<p>
    Function to prepare the given process.
</p>

<dl>

<dt><i>proc</i> (QProcess)</dt>
<dd>
reference to the process to be prepared
</dd>
<dt><i>encoding</i> (str)</dt>
<dd>
encoding to be used by the process
</dd>
<dt><i>language</i> (str)</dt>
<dd>
language to be set
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
